src/libUnuk/Node.h File Reference
`#include <memory.h>`

Go to the source code of this file.

## Classes

class | Node
struct | Stack

## Defines

#define | NULL 0
#define | NL_ADDOPEN 0
#define | NL_STARTOPEN 1
#define | NL_DELETEOPEN 2
#define | NL_ADDCLOSED 3
#define | NC_INITIALADD 0
#define | NC_OPENADD_UP 1
#define | NC_OPENADD 2
#define | NC_CLOSEDADD_UP 3
#define | NC_CLOSEADD 4
#define | NC_NEWADD 5

## Typedefs

typedef int(* | Func )(Node *, Node *, int, void *)

## Define Documentation

#define NC_CLOSEADD 4

Definition at line 18 of file Node.h.

#define NC_CLOSEDADD_UP 3

Definition at line 17 of file Node.h.

#define NC_INITIALADD 0

Definition at line 14 of file Node.h.

#define NC_NEWADD 5

Definition at line 19 of file Node.h.

#define NC_OPENADD 2

Definition at line 16 of file Node.h.

#define NC_OPENADD_UP 1

Definition at line 15 of file Node.h.

#define NL_ADDCLOSED 3

Definition at line 12 of file Node.h.

#define NL_ADDOPEN 0

Definition at line 9 of file Node.h.

#define NL_DELETEOPEN 2

Definition at line 11 of file Node.h.

#define NL_STARTOPEN 1

Definition at line 10 of file Node.h.

#define NULL 0

Definition at line 6 of file Node.h.

## Typedef Documentation

typedef int(* Func)(Node *, Node *, int, void *)

Definition at line 46 of file Node.h.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines